;-| AI |--------------------------------------------------------

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0	

;-| 超必殺技 |--------------------------------------------------------
[Command]
name = "yoinx"
command = ~D, DF, F, D, DF, F, x
time = 40

[Command]
name = "yoiny"
command = ~D, DF, F, D, DF, F, y
time = 40

[Command]
name = "yoinz"
command = ~D, DF, F, D, DF, F, z
time = 40

[Command]
name = "yostx"
command = ~D, DB, B, D, DB, B, x
time = 40

[Command]
name = "yosty"
command = ~D, DB, B, D, DB, B, y
time = 40

[Command]
name = "yostz"
command = ~D, DB, B, D, DB, B, z
time = 40

[Command]
name = "yosta"
command = ~D, DF, F, D, DF, F, a
time = 40

[Command]
name = "yostb"
command = ~D, DF, F, D, DF, F, b
time = 40

[Command]
name = "yostc"
command = ~D, DF, F, D, DF, F, c
time = 40

[Command]
name = "haxa"
command = ~D, F, /$DF, x+a

[Command]
name = "hayb"
command = ~D, F, /$DF, y+b

[Command]
name = "hazc"
command = ~D, F, /$DF, z+c

;-| 必殺技 |------------------------------------------------------

[Command]
name = "yotpf"
command = ~F, D, FD, x+y+z

[Command]
name = "yotpb"
command = ~B, D, BD, x+y+z

[Command]
name = "yotkf"
command = ~F, D, FD, a+b+c

[Command]
name = "yotkb"
command = ~B, D, BD, a+b+c

[Command]
name = "kanata"
command = ~F, D, FD, s

[Command]
name = "kanata"
command = ~B, D, BD, s

[Command]
name = "hax"
command = ~D, F, /$DF, x

[Command]
name = "hay"
command = ~D, F, /$DF, y

[Command]
name = "haz"
command = ~D, F, /$DF, z

[Command]
name = "yoflx"
command = ~F, D, B, x

[Command]
name = "yofly"
command = ~F, D, B, y

[Command]
name = "yoflz"
command = ~F, D, B, z

[Command]
name = "yoba"
command = ~F, D, B, a

[Command]
name = "yobb"
command = ~F, D, B, b

[Command]
name = "yobc"
command = ~F, D, B, c

[Command]
name = "yofix"
command = ~D, DF, F, x

[Command]
name = "yofiy"
command = ~D, DF, F, y

[Command]
name = "yofiz"
command = ~D, DF, F, z

[Command]
name = "gema"
command = ~D, DF, F, a

[Command]
name = "gemb"
command = ~D, DF, F, b

[Command]
name = "gemc"
command = ~D, DF, F, c

[Command]
name = "reyt"
command = ~B, DB, D, a

[Command]
name = "reyt"
command = ~B, DB, D, b

[Command]
name = "reyt"
command = ~B, DB, D, c

[Command]
name = "jba"
command = ~B, F, a

[Command]
name = "jbb"
command = ~B, F, b

[Command]
name = "jbc"
command = ~B, F, c

;-| ２回押し技 |-----------------------------------------------------------
[Command]
name = "FF"     
command = F, F
time = 10

[Command]
name = "BB"     
command = B, B
time = 10

[Command]
name = "spax"     
command = x, x, x, x
time = 25

[Command]
name = "spay"     
command = y, y, y, y
time = 25

[Command]
name = "spaz"     
command = z, z, z, z
time = 25

;-| ２・３個の同時押し技 |-----------------------------------------------
[Command]
name = "xyz"
command = x+y+z
time = 1

[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recoveryg"
command = a+b
time = 1

[Command]
name = "recoveryg"
command = b+c
time = 1

[Command]
name = "recoveryg"
command = a+c
time = 1

[Command]
name = "zero"
command = x+a
time = 1

[Command]
name = "zero"
command = y+b
time = 1

[Command]
name = "zero"
command = z+c
time = 1

;-| 方向とボタンで出す技 |---------------------------------------------------------
[Command]
name = "yogas"
command = /$B,x
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

;-| ボタン設定（いじらない）|---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;**************************************************************
[Command]
name = "gacha"
command = x
time = 1

[Command]
name = "gacha"
command = y
time = 1

[Command]
name = "gacha"
command = z
time = 1

[Command]
name = "gacha"
command = a
time = 1

[Command]
name = "gacha"
command = b
time = 1

[Command]
name = "gacha"
command = c
time = 1

[Command]
name = "gacha"
command = U
time = 1

[Command]
name = "gacha"
command = D
time = 1

[Command]
name = "gacha"
command = F
time = 1

[Command]
name = "gacha"
command = B
time = 1

[Command]
name = "gacha"
command = UF
time = 1

[Command]
name = "gacha"
command = UB
time = 1

[Command]
name = "gacha"
command = DF
time = 1

[Command]
name = "gacha"
command = DB
time = 1

;-| 押しっぱなし設定（いじらない）-------------------------------------------------------
[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1

[Command]
name = "holdz"
command = /$z
time = 1

[Command]
name = "holda"
command = /$a
time = 1

[Command]
name = "holdb"
command = /$b
time = 1

[Command]
name = "holdc"
command = /$c
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup" 
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1

[Statedef 10000]
anim=10000;なにも表示しないｱﾆﾒでもいいけど入れなくても全然問題ない
ctrl=0

[State 10000,間違いで本体が来たら立ちへ移行]
type=selfstate
trigger1=!ishelper
value=0

[State 10000,プレイヤー判定]
type=varset
trigger1=command="up"&&root,command="up"
trigger2=command="down"&&root,command="down"
trigger3=command="back"&&root,command="back"
trigger4=command="fwd"&&root,command="fwd"
trigger5=command="a"&&root,command="a"
trigger6=command="b"&&root,command="b"
trigger7=command="c"&&root,command="c"
trigger8=command="x"&&root,command="x"
trigger9=command="y"&&root,command="y"
trigger10=command="z"&&root,command="z"
trigger11=command="start"&&root,command="start"
var(59)=-1

[State 10000,立ったら消失]
Type = DestroySelf
triggerAll = isHelper
trigger1 = root,var(59)||var(59)=-1
trigger2=command="up"&&root,command="up"
trigger3=command="down"&&root,command="down"
trigger4=command="back"&&root,command="back"
trigger5=command="fwd"&&root,command="fwd"
trigger6=command="a"&&root,command="a"
trigger7=command="b"&&root,command="b"
trigger8=command="c"&&root,command="c"
trigger9=command="x"&&root,command="x"
trigger10=command="y"&&root,command="y"
trigger11=command="z"&&root,command="z"
trigger12=command="start"&&root,command="start"

[State 10000,ﾌﾗｸﾞON]
type=varset
triggerall=var(59)!=-1
trigger1=root,command="up"
trigger2=root,command="down"
trigger3=root,command="back"
trigger4=root,command="fwd"
trigger5=root,command="a"
trigger6=root,command="b"
trigger7=root,command="c"
trigger8=root,command="x"
trigger9=root,command="y"
trigger10=root,command="z"
trigger11=root,command="start"
var(59)=1


; 下の記述↓は絶対に消さないでください。
[Statedef -1]

[State -1, AI起動用ヘルパー]
type=helper
trigger1 = !NumHelper(10000)
trigger1 = roundstate=2
trigger1 = alive
trigger1 = var(59)=0
trigger1 = (PrevStateNo=[190,194]) || PrevStateNo = 5900
trigger1 = ctrl&&stateno=0
helpertype=normal
name = "AI"
stateno = 10000
ID = 10000
pos = 9999,9999
keyctrl = 1
pausemovetime = 2147483647
supermovetime = 2147483647
persistent = 0

;念のため↓も付けておく
[State -1, 関係無いステートに行かないように]
type = changestate
trigger1 = ishelper(10000)
trigger1 = stateno != 10000
value = 10000

;===========================================================================
;AIフラグ
;---------------------------------------------------------------------------

[State -1, AI]
type = VarSet
triggerall = !var(59) 
triggerall = RoundState = [1,2]
trigger1 = Command = "AI0"
trigger2 = Command = "AI1"
trigger3 = Command = "AI2"
trigger4 = Command = "AI3"
trigger5 = Command = "AI4"
trigger6 = Command = "AI5"
trigger7 = Command = "AI6"
trigger8 = Command = "AI7"
trigger9 = Command = "AI8"
trigger10 = Command = "AI9"
trigger11 = Command = "AI10"
trigger12 = Command = "AI11"
trigger13 = Command = "AI12"
trigger14 = Command = "AI13"
trigger15 = Command = "AI14"
trigger16 = Command = "AI15"
trigger17 = Command = "AI16"
trigger18 = Command = "AI17"
trigger19 = Command = "AI18"
trigger20 = Command = "AI19"
trigger21 = Command = "AI20"
trigger22 = Command = "AI21"
trigger23 = Command = "AI22"
trigger24 = Command = "AI23"
trigger25 = Command = "AI24"
trigger26 = Command = "AI25"
trigger27 = Command = "AI26"
trigger28 = Command = "AI27"
trigger29 = Command = "AI28"
trigger30 = Command = "AI29"
trigger31 = Command = "AI30"
trigger32 = Command = "AI31"
trigger33 = Command = "AI32"
trigger34 = Command = "AI33"
trigger35 = Command = "AI34"
trigger36 = Command = "AI35"
trigger37 = Command = "AI36"
trigger38 = Command = "AI37"
trigger39 = Command = "AI38"
trigger40 = Command = "AI39"
trigger41 = Command = "AI40"
trigger42 = Command = "AI41"
trigger43 = Command = "AI42"
trigger44 = Command = "AI43"
trigger45 = Command = "AI44"
trigger46 = Command = "AI45"
trigger47 = Command = "AI46"
trigger48 = Command = "AI47"
trigger49 = Command = "AI48"
trigger50 = Command = "AI49"
trigger51 = Command = "AI50"
trigger52 = NumHelper(10000)
trigger52 = Helper(10000),var(59)
var(59) = 5 ;AIレベル設定１〜５

[State -1, ヨガジャーマンヘディング設定]
type = VarSet
triggerall = var(59) 
triggerall = RoundState = [1,2]
trigger1 = 1
var(57) = 1 ;0:使用不可 1:使用可


[State -1, コンボ変数];リセット
Type = VarSet
triggerall = var(59)
triggerall = var(58)
trigger1 = RoundState = 4
trigger2 = stateno = 5120 || movetype = H
trigger3 = EnemyNear(var(50)),StateNo = 5120
trigger4 = stateno = 415 || stateno = 425 || stateno = 225 || stateno = 255 || stateno = 250
var(58) = 0
IgnoreHitPause = 1

[State -1, コンボ変数];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = stateno = 435 && movehit
var(58) = 1
IgnoreHitPause = 1

[State -1, コンボ変数];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = stateno = 405 && movehit
var(58) = 2
IgnoreHitPause = 1

[State -1, コンボ変数];
Type = VarSet
triggerall = var(59) > 3
triggerall = RoundState = 2
trigger1 = stateno = 840
var(58) = 3
IgnoreHitPause = 1

[State -1];ガーキャン用カウンタ
Type = VarAdd
trigger1 = var(59)
trigger1 = var(55) < 100
trigger1 = stateno = [120,155]
V = 55
Value = 1
IgnoreHitPause = 1

[State -1];ガーキャン用カウンタ
Type = Varset
trigger1 = var(59)
trigger1 = stateno != [120,155]
var(55) = 0
IgnoreHitPause = 1

[State -1];飛び道具用カウンタ
Type = VarAdd
trigger1 = var(59)
trigger1 = var(51) < 100
V = 51
Value = 1
IgnoreHitPause = 1

[State -1];飛び道具用カウンタ
Type = VarSet
triggerall = var(59)
trigger1 = stateno = 1000 || stateno = 1600 || stateno = 1700
var(51) = 0
IgnoreHitPause = 1

[State -1, タッグ用生死判別];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = NumEnemy = 1
trigger2 = NumEnemy = 2
trigger2 = EnemyNear(0),life > 0
var(50) = 0
IgnoreHitPause = 1

[State -1, タッグ用生死判別];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = NumEnemy = 2
trigger1 = EnemyNear(0),life <= 0
var(50) = 1
IgnoreHitPause = 1

;========ここからAI=========================================================

;===========================================================================
;切り替えし
;---------------------------------------------------------------------------
;ジャーマンエクスプロージョンＭＡＸ
[State -1]
type = ChangeState
value = 3400
triggerall = var(59) = 5
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = (power >= 1000) && (Life < 500) || (power >= 3000)
trigger1 = ctrl
trigger1 = random <= var(59)*100
trigger1 = P2BodyDist X = [-5,30]
trigger1 = EnemyNear(var(50)),Statetype != A
trigger1 = EnemyNear(var(50)),Statetype != L
trigger1 = EnemyNear(var(50)),MoveType != H
trigger1 = (PrevStateNo = [5000,5270]) || BackEdgeBodyDist < 30

;ジャーマンエクスプロージョン
[State -1]
type = ChangeState
value = 3300
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = (power >= 1000) || (Life < 500)
trigger1 = ctrl
trigger1 = random <= var(59)*100
trigger1 = P2BodyDist X = [-5,30]
trigger1 = EnemyNear(var(50)),Statetype != A
trigger1 = EnemyNear(var(50)),Statetype != L
trigger1 = EnemyNear(var(50)),MoveType != H
trigger1 = (PrevStateNo = [5000,5270]) || BackEdgeBodyDist < 30

;---------------------------------------------------------------------------
;投げ
;---------------------------------------------------------------------------
;ヨガスマッシュ
[State -1]
type = ChangeState
value = 800
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*160
trigger1 = P2BodyDist X = [-5,13]
trigger1 = EnemyNear(var(50)),Statetype != A
trigger1 = EnemyNear(var(50)),Statetype != L
trigger1 = EnemyNear(var(50)),MoveType != H
trigger1 = (PrevStateNo = [5000,5270]) || BackEdgeBodyDist < 30

;ヨガスルー
[State -1]
type = ChangeState
value = 900
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*160
trigger1 = P2BodyDist X = [-5,13]
trigger1 = EnemyNear(var(50)),Statetype != A
trigger1 = EnemyNear(var(50)),Statetype != L
trigger1 = EnemyNear(var(50)),MoveType != H
trigger1 = (PrevStateNo = [5000,5270]) || BackEdgeBodyDist < 30

;空中ヨガスルー
[State -1]
type = ChangeState
value = 980
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = ctrl
trigger1 = random <= var(59)*100
trigger1 = P2BodyDist X = [-5,13]
trigger1 = P2BodyDist Y = [-15,20]
trigger1 = EnemyNear(var(50)),Statetype = A

;---------------------------------------------------------------------------
;無敵移動技
;---------------------------------------------------------------------------
;ヨガテレポート
[State -1]
type = ChangeState
value = 1300
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = var(10) = 0
triggerall = stateno != 1320
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),NumHelper > 0 || EnemyNear(var(50)),NumProj > 0
trigger1 = InGuardDist
trigger1 = EnemyNear(var(50)),HitDefAttr = SCA,AP || EnemyNear(var(50)),Movetype  = A
trigger1 = random <= var(59)*150
trigger1 = EnemyNear(var(50)),Time >= 30
trigger1 = P2BodyDist X > 90

[State 5050, 6]; Recover in mid air
type = ChangeState
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = stateno = 5050
triggerall = Vel Y > -1
triggerall = alive
triggerall = CanRecover
triggerall = var(10) = 0
trigger1 = random<=var(59)*100
value = 1330 ;HITFALL_AIRRECOVER

[State 5050, 4] ;Recover near ground
type = ChangeState
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = stateno = 5050
triggerall = Vel Y > 0
triggerall = alive
triggerall = CanRecover
trigger1 = random<=var(59)*100
value = 5200 ;HITFALL_RECOVER

[State 5050, 5]; Recover in mid air
type = ChangeState
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = stateno = 5050
triggerall = Vel Y > -1
triggerall = alive
triggerall = CanRecover
trigger1 = random<=var(59)*100
value = 5210 ;HITFALL_AIRRECOVER

;---------------------------------------------------------------------------
;対空
;---------------------------------------------------------------------------
;========================
;ジャーマン
;========================
;ジャーマンエクスプロージョンＭＡＸ
[State -1]
type = ChangeState
value = 3400
triggerall = var(59) = 5
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = (power >= 1000) && (Life < 500) || (power >= 3000)
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [10,50]
trigger1 = P2bodydist Y = [-70,-20]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;ジャーマンエクスプロージョン
[State -1]
type = ChangeState
value = 3300
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = (power >= 1000) || (Life < 500)
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [10,50]
trigger1 = P2bodydist Y = [-70,-20]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;ハリケーンアーム（ＭＡＸ）
[State -1]
type = ChangeState
value = 1850
triggerall = var(59) = 5
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [60,110]
trigger1 = P2bodydist Y = [-110,-40]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)
trigger2 = stateno = 255 || (stateno = 225 && AnimElem = 3, < 0)
trigger2 = movehit
trigger2 = EnemyNear(var(50)),StateType = A
trigger2 = random<=var(59)*140

;ハリケーンアーム
[State -1]
type = ChangeState
value = 1800
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [60,110]
trigger1 = P2bodydist Y = [-110,-40]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)
trigger2 = stateno = 255 || (stateno = 225 && AnimElem = 3, < 0)
trigger2 = movehit
trigger2 = EnemyNear(var(50)),StateType = A
trigger2 = random<=var(59)*120

;========================
;ノーマル
;========================
;ヨガストライクLv3
[State -1]
type = ChangeState
value = 3202
triggerall = var(59) = 5
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [5,40]
trigger1 = P2bodydist Y = [-110,-40]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;ヨガストライクLv2
[State -1]
type = ChangeState
value = 3201
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [5,40]
trigger1 = P2bodydist Y = [-110,-40]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;ヨガストライクLv1
[State -1]
type = ChangeState
value = 3200
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [5,40]
trigger1 = P2bodydist Y = [-110,-40]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;ヨガブラスト
[State -1]
type = ChangeState
value = 1200
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [50,90]
trigger1 = P2bodydist Y = [-90,-25]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 10 && var(59) = 5)

;立ち強キック
[State -1]
type = ChangeState
value = 250
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = A
trigger1 = P2bodydist X = [85,180]
trigger1 = P2bodydist Y = [-60,-25]
trigger1 = random<=var(59)*100
trigger1 = EnemyNear(var(50)),Vel X >= 0
trigger1 = EnemyNear(var(50)),Vel Y >= 0 || (EnemyNear(var(50)),time > 8 && var(59) = 5)

;===========================================================================
;ガード
;---------------------------------------------------------------------------
[State -1,ガード]
Type = ChangeState
Value = 120
triggerall = var(59) && RoundState = 2
triggerall = !var(55)
triggerall = StateNo!=[120,155]
triggerall = ctrl
triggerall = inguarddist
trigger1 = random<=var(59)*180
trigger2 = P2BodyDist X > 90|| EnemyNear(var(50)),Time > 50
trigger2 = Random<=var(59)*200
trigger3 = P2BodyDist X = [-5,90]
trigger3 = PrevStateNo = [5000,5270]
trigger3 = random <= var(59)*200

;ゼロカウンター
[State -1]
type = ChangeState
value = 1400
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = Power >= 1000
triggerall = StateNo = [150,153]
trigger1 = var(55) > 50 || (var(55) > 20 && BackEdgeBodyDist < 50)
trigger1 = P2BodyDist X = [-5,50]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L

;===========================================================================
;コンボ
;---------------------------------------------------------------------------
;ジャーマンエクスプロージョン
[State -1]
type = ChangeState
value = 3300
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = (power >= 1000) || (Life < 500)
trigger1 = stateno = 425 || (stateno = 225 && AnimElem = 3, < 0)
trigger1 = movehit
trigger1 = random <= var(59)*150

;ヨガインフェルノLv3
[State -1]
type = ChangeState
value = 3020
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
trigger1 = stateno = 415 || (stateno = 225 && AnimElem = 3, < 0)
trigger1 = movehit
trigger1 = random <= var(59)*160

;ヨガストリームLv3
[State -1]
type = ChangeState
value = 3120
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
trigger1 = stateno = 255 || stateno = 425
trigger1 = movehit
trigger1 = random <= var(59)*160

;ヨガインフェルノLv2
[State -1]
type = ChangeState
value = 3010
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
trigger1 = stateno = 415 || (stateno = 225 && AnimElem = 3, < 0)
trigger1 = movehit
trigger1 = random <= var(59)*145

;ヨガストリームLv2
[State -1]
type = ChangeState
value = 3110
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
trigger1 = stateno = 255 || stateno = 425
trigger1 = movehit
trigger1 = random <= var(59)*145

;ヨガインフェルノLv1
[State -1]
type = ChangeState
value = 3000
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
trigger1 = stateno = 415 || (stateno = 225 && AnimElem = 3, < 0)
trigger1 = movehit
trigger1 = random <= var(59)*130

;ヨガストリームLv1
[State -1]
type = ChangeState
value = 3100
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
trigger1 = stateno = 255 || stateno = 425
trigger1 = movehit
trigger1 = random <= var(59)*130

;-----------------------------
;========================
;ジャーマン
;========================
;ロケットパンチ
[State -1]
type = ChangeState
value = 1600
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = NumHelper(1000) = 0
trigger1 = stateno = 415 || (stateno = 225 && AnimElem = 3, < 0) || stateno = 205
trigger1 = movecontact
trigger1 = random <= var(59)*100

;ジャーマンミサイル
[State -1]
type = ChangeState
value = 1700
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = NumHelper(1000) = 0
trigger1 = stateno = 255 || stateno = 425
trigger1 = movecontact
trigger1 = random <= var(59)*100

;========================
;ノーマル
;========================
;ヨガフレイム
[State -1]
type = ChangeState
value = 1100
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
trigger1 = stateno = 255 || stateno = 425
trigger1 = movecontact
trigger1 = random <= var(59)*100

;ヨガファイア
[State -1]
type = ChangeState
value = 1000
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
trigger1 = stateno = 415 || (stateno = 225 && AnimElem = 3, < 0) || stateno = 205
trigger1 = movecontact
trigger1 = random <= var(59)*100

;-----------------------------

;後入れ屈み強パンチ
[State -1]
type = ChangeState
value = 425
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(58) = 2
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;後入れ屈み中パンチ
[State -1]
type = ChangeState
value = 415
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(58) = 2
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;後入れ屈み弱パンチ
[State -1]
type = ChangeState
value = 405
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(58) = 1
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;後入れ立ち強パンチ
[State -1]
type = ChangeState
value = 225
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl || stateno = 100
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [0,25]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A
trigger2 = ctrl
trigger2 = var(58) = 3
trigger2 = P2BodyDist X = [-5,25]

;後入れ屈み弱キック
[State -1]
type = ChangeState
value = 435
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [-5,35]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;後入れ立ち強キック
[State -1]
type = ChangeState
value = 255
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl || stateno = 100
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [0,55]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A
trigger2 = ctrl
trigger2 = var(58) = 3
trigger2 = P2BodyDist X = [-5,55]

;===========================================================================
;地上移動＆立ち回り
;---------------------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = P2BodyDist X >= 100
trigger1 = random <= var(59)*50
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = random <= var(59)*90
trigger1 = EnemyNear(var(50)),StateType = L
trigger1 = p2bodydist X = [-5,80]
trigger1 = BackEdgeBodyDist > 40

;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
trigger1 = ctrl
trigger1 = life < 500
trigger1 = P2BodyDist X >= 50
trigger1 = random <= var(59)*80

;彼方へ
[State -1]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
trigger1 = stateno = 195
trigger1 = AnimElemTime(3) > 0

;ジャーマンヘディング
[State -1]
type = ChangeState
value = 2200
triggerall = var(59)
triggerall = var(57)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = EnemyNear(var(50)),StateType = L || EnemyNear(var(50)),MoveType = I
trigger1 = PrevStateNo != 2200
trigger1 = random <= var(59)*50
trigger1 = p2bodydist X > 95

;ヨガテレポート
[State -1]
type = ChangeState
value = 1300
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = var(10) = 0
triggerall = stateno != 1320
trigger1 = ctrl
trigger1 = random <= var(59)*50
trigger1 = P2BodyDist X = [70,100]
trigger1 = EnemyNear(var(50)),StateType != L

;---------------------
;牽制
;---------------------
;========================
;ジャーマン
;========================
;ロケットパンチ
[State -1]
type = ChangeState
value = 1600
triggerall = var(59)
triggerall = var(51) > 50
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = NumHelper(1000) = 0
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*70
trigger1 = P2BodyDist X >= 120
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;ジャーマンミサイル
[State -1]
type = ChangeState
value = 1700
triggerall = var(59)
triggerall = var(51) > 50
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
triggerall = NumHelper(1000) = 0
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*70
trigger1 = P2BodyDist X >= 120
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;スパークサンダー（弱）
[State -1]
type = ChangeState
value = 1900
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = PrevStateNo != 1900
trigger1 = random <= var(59)*50
trigger1 = P2BodyDist X = [50,90]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;スパークサンダー（中）
[State -1]
type = ChangeState
value = 1920
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*50
trigger1 = P2BodyDist X = [80,110]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;スパークサンダー（強）
[State -1]
type = ChangeState
value = 1940
triggerall = var(59) > 3
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 1
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*50
trigger1 = P2BodyDist X = [100,140]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;========================
;ノーマル
;========================
;ヨガファイア
[State -1]
type = ChangeState
value = 1000
triggerall = var(59)
triggerall = var(51) > 50
triggerall = RoundState = 2
triggerall = statetype != A
triggerall = var(10) = 0
triggerall = NumHelper(1000) = 0
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X >= 120
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A


;前入れ立ち弱パンチ
[State -1]
type = ChangeState
value = 205
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [50,70]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;屈み弱キック
[State -1]
type = ChangeState
value = 430
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [60,85]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;屈み中キック
[State -1]
type = ChangeState
value = 440
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = random <= var(59)*80
trigger1 = P2BodyDist X = [70,110]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;立ち弱キック
[State -1]
type = ChangeState
value = 230
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = P2BodyDist X = [130,170]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;立ち中パンチ
[State -1]
type = ChangeState
value = 210
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = P2BodyDist X = [150,190]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;立ち強パンチ
[State -1]
type = ChangeState
value = 220
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = P2BodyDist X = [180,230]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;立ち中キック
[State -1]
type = ChangeState
value = 240
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = P2BodyDist X = [140,190]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;立ち強キック
[State -1]
type = ChangeState
value = 250
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = P2BodyDist X = [140,190]
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A
trigger2 = ctrl
trigger2 = var(58) = 3
trigger2 = P2BodyDist X > 55

;屈み弱パンチ
[State -1]
type = ChangeState
value = 400
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = (P2BodyDist X = [160,190]) || (var(10) = 1 && (P2BodyDist X = [80,190]))
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;屈み中パンチ
[State -1]
type = ChangeState
value = 410
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = (P2BodyDist X = [155,190]) || (var(10) = 1 && (P2BodyDist X = [100,190]))
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;屈み強パンチ
[State -1]
type = ChangeState
value = 420
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = statetype != A
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = random <= var(59)*90
trigger1 = (P2BodyDist X = [160,195]) || (var(10) = 1 && (P2BodyDist X = [100,140]))
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType != A

;===========================================================================
;空中移動＆立ち回り
;---------------------------------------------------------------------------
[State -1,ｼﾞｬﾝﾌﾟ]
Type     = ChangeState
Value    = 40
triggerall = var(59) && RoundState = 2
triggerall = StateType != A
triggerall = EnemyNear(var(50)),MoveType != H
triggerall = var(58) = 0
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = PrevStateNo != 5120
trigger1 = (EnemyNear(var(50)),StateType != L) && (EnemyNear(var(50)),StateType != A)
trigger1 = random <= var(59)*60
trigger1 = p2bodydist X = [100,240] 
trigger1 = EnemyNear(var(50)),StateNo != [120,159]
trigger2 = ctrl || stateno = 100
trigger2 = !inguarddist
trigger2 = random <= var(59)*100
trigger2 = p2statetype = L && BackEdgeBodyDist > 20
trigger2 = p2bodydist X = [-5,30]
trigger3 = ctrl || stateno = 100
trigger3 = EnemyNear(var(50)),HitDefAttr=SCA,AT
trigger3 = random <= var(59)*160
trigger3 = EnemyNear(var(50)),Time>=30||(!Time&&var(59)>3) || var(59)>4
trigger3 = EnemyNear(var(50)),Time>=50 || (PrevStateNo=[5000,5270]) || (PrevStateNo=[120,159])

;メッサーシュミット
[State -1]
type = ChangeState
value = 2000
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = var(10) = 1
triggerall = vel Y >= 0 || (var(59) = 5 && time > 8)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X >= 100
trigger1 = random <= var(59)*70
trigger1 = EnemyNear(var(50)),StateType != L

;強ドリルキック
[State -1]
type = ChangeState
value = 680
triggerall = var(59) > 2
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = var(10) = 0
triggerall = time > 8
triggerall = vel Y >= 0 || (var(59) = 5 && time > 8)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [-10,60]
trigger1 = p2bodydist Y = [-10,130]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L

;中ドリルキック
[State -1]
type = ChangeState
value = 670
triggerall = var(59) > 1
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = var(10) = 0
triggerall = time > 8
triggerall = vel Y >= 0 || (var(59) = 5 && time > 8)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [50,100]
trigger1 = p2bodydist Y = [-10,130]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L

;弱ドリルキック
[State -1]
type = ChangeState
value = 660
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = var(10) = 0
triggerall = time > 8
triggerall = vel Y >= 0 || (var(59) = 5 && time > 8)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [110,150]
trigger1 = p2bodydist Y = [-10,130]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L

;ドリルヘッド
[State -1]
type = ChangeState
value = 690
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = var(10) = 0
triggerall = time > 8
triggerall = vel Y >= 0 || (var(59) = 5 && time > 8)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [120,160]
trigger1 = p2bodydist Y = [-10,130]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L

;空中強キック
[State -1]
type = ChangeState
value = 650
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = vel Y >= 0 || (var(59) = 5 && time > 10)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [100,200]
trigger1 = p2bodydist Y = [-70,10]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType = A

;空中強パンチ
[State -1]
type = ChangeState
value = 620
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = vel Y >= 0 || (var(59) = 5 && time > 10)
trigger1 = ctrl
trigger1 = !inguarddist
trigger1 = p2bodydist X = [60,120]
trigger1 = p2bodydist Y = [-10,60]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType = A

;空中中パンチ
[State -1]
type = ChangeState
value = 610
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = vel Y >= 0 || (var(59) = 5 && time > 10)
trigger1 = ctrl
trigger1 = p2bodydist X = [50,150]
trigger1 = p2bodydist Y = [-20,60]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L
trigger1 = EnemyNear(var(50)),StateType = A

;後入れ空中強キック
[State -1]
type = ChangeState
value = 655
triggerall = var(59)
triggerall = RoundState = 2
triggerall = statetype = A
triggerall = vel Y >= 0
trigger1 = ctrl
trigger1 = p2bodydist X = [-10,50]
trigger1 = p2bodydist Y = [-10,90]
trigger1 = random <= var(59)*80
trigger1 = EnemyNear(var(50)),StateType != L


;========ここまでAI=========================================================



;===========================================================================
;ヨガインフェルノLv1
[State -1]
type = ChangeState
value = 3000
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
triggerall = command = "yoinx" || (Command = "yoiny" && Power < 2000) ||(Command = "yoinz" && Power < 2000) 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガインフェルノLv2
[State -1]
type = ChangeState
value = 3010
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
triggerall = command = "yoiny" || (Command = "yoinz" && Power < 3000)
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガインフェルノLv3
[State -1]
type = ChangeState
value = 3020
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
triggerall = command = "yoinz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガストライクLv1
[State -1]
type = ChangeState
value = 3200
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
triggerall = command = "yosta" || (Command = "yostb" && Power < 2000) ||(Command = "yostc" && Power < 2000) 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガストライクLv2
[State -1]
type = ChangeState
value = 3201
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
triggerall = Command = "yostb" ||(Command = "yostc" && Power < 3000) 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガストライクLv3
[State -1]
type = ChangeState
value = 3202
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
triggerall = command = "yostc"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガストリームLv1
[State -1]
type = ChangeState
value = 3100
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 1000
triggerall = command = "yostx" || (Command = "yosty" && Power < 2000) ||(Command = "yostz" && Power < 2000) 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガストリームLv2
[State -1]
type = ChangeState
value = 3110
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 2000
triggerall = Command = "yosty" ||(Command = "yostz" && Power < 3000) 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;ヨガストリームLv3
[State -1]
type = ChangeState
value = 3120
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = Power >= 3000
triggerall = command = "yostz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガフレイム
[State -1]
type = ChangeState
value = 1100
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = command = "yoflx" || command = "yofly" || command = "yoflz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガブラスト
[State -1]
type = ChangeState
value = 1200
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = command = "yoba" || command = "yobb" || command = "yobc"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガテレポート
[State -1]
type = ChangeState
value = 1300
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = stateno != 1320
triggerall = command = "yotpf" || command = "yotpb" || command = "yotkf" || command = "yotkb"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;===========================================================================
;ヨガファイア
[State -1]
type = ChangeState
value = 1000
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = command = "yofix" || command = "yofiy" || command = "yofiz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact

;---------------------------------------------------------------------
;ゼロカウンター
[State -1]
type = ChangeState
value = 1400
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = statetype = S || statetype = C
triggerall = Command = "holdfwd"
triggerall = Command = "zero"
trigger1 = Power >= 1000
trigger1 = StateNo = [150,153]

;===============================================================
;彼方へ
[State -1]
type = ChangeState
value = 4000
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = command = "kanata"
triggerall = statetype = S || statetype = C
trigger1 = ctrl
trigger2 = stateno = 195

;===========================================================================
;ジャーマン
;===========================================================================
;ジャーマンエクスプロージョンＭＡＸ
[State -1]
type = ChangeState
value = 3400
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = (power >= 1000) && (Life < 500) || (power >= 3000)
triggerall = statetype != A
triggerall = command = "yostx" || Command = "yosty" || Command = "yostz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;ジャーマンエクスプロージョン
[State -1]
type = ChangeState
value = 3300
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = (power >= 1000) || (Life < 500)
triggerall = statetype != A
triggerall = command = "yostx" || Command = "yosty" || Command = "yostz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===========================================================================
;ハリケーンアーム（ＭＡＸ）
[State -1]
type = ChangeState
value = 1850
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = command = "haxa" || command = "hayb" || command = "hazc"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===========================================================================
;ハリケーンアーム
[State -1]
type = ChangeState
value = 1800
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = command = "hax" || command = "hay" || command = "haz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===========================================================================
;ロケットパンチ
[State -1]
type = ChangeState
value = 1600
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = command = "yofix" || command = "yofiy" || command = "yofiz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===========================================================================
;ジャーマンミサイル
[State -1]
type = ChangeState
value = 1700
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = NumHelper(1000) = 0
triggerall = command = "gema" || command = "gemb" || command = "gemc" 
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===========================================================================
;スパークサンダー（弱）
[State -1]
type = ChangeState
value = 1900
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = command = "spax"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;スパークサンダー（中）
[State -1]
type = ChangeState
value = 1920
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = command = "spay"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;スパークサンダー（強）
[State -1]
type = ChangeState
value = 1940
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = statetype != A
triggerall = command = "spaz"
trigger1 = ctrl
trigger2 = stateno = 205 || stateno = 235 || stateno = 245 || Stateno = 255
trigger2 = movecontact
trigger3 = stateno = 200 || stateno = 215 || Stateno = 225
trigger3 = AnimElem = 3, < 0 && movecontact
trigger4 = stateno = 405 || stateno = 415 || stateno = 425 || stateno = 430 || stateno = 435 || stateno = 445 || Stateno = 455
trigger4 = movecontact
trigger5 = stateno = 100

;===============================================================
;メッサーシュミット
[State -1]
type = ChangeState
value = 2000
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = command = "xyz"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------
;ジャーマンヘディング
[State -1]
type = ChangeState
value = 2200
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = command = "xyz"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = !var(59)
triggerall = var(10) = 1
triggerall = command = "BB"
trigger1 = statetype = S && ctrl

;----------------------------------------------------------------
;ヨガスマッシュ
[State -1]
type = ChangeState
value = 800
triggerall = !var(59)
triggerall = command = "recovery"
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"

;ヨガスルー
[State -1]
type = ChangeState
value = 900
triggerall = !var(59)
triggerall = command = "recoveryg"
triggerall = statetype = S
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"

;空中ヨガスルー
[State -1]
type = ChangeState
value = 980
triggerall = !var(59)
triggerall = command = "recovery"
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"

;===========================================================================
;弱ドリルキック
[State -1]
type = ChangeState
value = 660
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = command = "down_a"
trigger1 = time > 8
trigger1 = statetype = A
trigger1 = ctrl

;中ドリルキック
[State -1]
type = ChangeState
value = 670
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = command = "down_b"
trigger1 = time > 8
trigger1 = statetype = A
trigger1 = ctrl

;強ドリルキック
[State -1]
type = ChangeState
value = 680
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = command = "down_c"
trigger1 = time > 8
trigger1 = statetype = A
trigger1 = ctrl

;ドリルヘッド
[State -1]
type = ChangeState
value = 690
triggerall = !var(59)
triggerall = var(10) = 0
triggerall = command = "down_z"
trigger1 = time > 8
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;ヨガショック
[State -1]
type = ChangeState
value = 700
triggerall = !var(59)
triggerall = command = "yogas"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;前入れ立ち弱パンチ
[State -1]
type = ChangeState
value = 205
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち弱パンチ
[State -1]
type = ChangeState
value = 200
triggerall = !var(59)
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;---------------------------------------------------------------------------
;後入れ立ち中パンチ
[State -1]
type = ChangeState
value = 215
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち中パンチ
[State -1]
type = ChangeState
value = 210
triggerall = !var(59)
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ立ち強パンチ
[State -1]
type = ChangeState
value = 225
triggerall = !var(59)
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち強パンチ
[State -1]
type = ChangeState
value = 220
triggerall = !var(59)
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ立ち弱キック
[State -1]
type = ChangeState
value = 235
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち弱キック
[State -1]
type = ChangeState
value = 230
triggerall = !var(59)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ立ち中キック
[State -1]
type = ChangeState
value = 245
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち中キック
[State -1]
type = ChangeState
value = 240
triggerall = !var(59)
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ立ち強キック
[State -1]
type = ChangeState
value = 255
triggerall = !var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100

;立ち強キック
[State -1]
type = ChangeState
value = 250
triggerall = !var(59)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = !var(59)
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;挑発
[State -1, Taunt]
type = ChangeState
value = 196
triggerall = !var(59)
triggerall = command = "start"
trigger1 = statetype = A
trigger1 = Vel Y > 0
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み弱パンチ
[State -1]
type = ChangeState
value = 405
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み弱パンチ
[State -1]
type = ChangeState
value = 400
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み中パンチ
[State -1]
type = ChangeState
value = 415
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み中パンチ
[State -1]
type = ChangeState
value = 410
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み強パンチ
[State -1]
type = ChangeState
value = 425
triggerall = !var(59)
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み強パンチ
[State -1]
type = ChangeState
value = 420
triggerall = !var(59)
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み弱キック
[State -1]
type = ChangeState
value = 435
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み弱キック
[State -1]
type = ChangeState
value = 430
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み中キック
[State -1]
type = ChangeState
value = 445
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み中キック
[State -1]
type = ChangeState
value = 440
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ屈み強キック
[State -1]
type = ChangeState
value = 455
triggerall = !var(59)
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command = "holdback"
trigger1 = statetype = C
trigger1 = ctrl

;屈み強キック
[State -1]
type = ChangeState
value = 450
triggerall = !var(59)
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中弱パンチ
[State -1]
type = ChangeState
value = 605
triggerall = !var(59)
triggerall = command = "x"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中弱パンチ
[State -1]
type = ChangeState
value = 600
triggerall = !var(59)
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中中パンチ
[State -1]
type = ChangeState
value = 615
triggerall = !var(59)
triggerall = command = "y"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中中パンチ
[State -1]
type = ChangeState
value = 610
triggerall = !var(59)
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中強パンチ
[State -1]
type = ChangeState
value = 625
triggerall = !var(59)
triggerall = command = "z"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中強パンチ
[State -1]
type = ChangeState
value = 620
triggerall = !var(59)
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中弱キック
[State -1]
type = ChangeState
value = 635
triggerall = !var(59)
triggerall = command = "a"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中弱キック
[State -1]
type = ChangeState
value = 630
triggerall = !var(59)
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中中キック
[State -1]
type = ChangeState
value = 645
triggerall = !var(59)
triggerall = command = "b"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中中キック
[State -1]
type = ChangeState
value = 640
triggerall = !var(59)
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;後入れ空中強キック
[State -1]
type = ChangeState
value = 655
triggerall = !var(59)
triggerall = command = "c"
triggerall = command = "holdback"
trigger1 = statetype = A
trigger1 = ctrl

;空中強キック
[State -1]
type = ChangeState
value = 650
triggerall = !var(59)
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl


